package com.oqpo.api.web.dto.response;
 
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

@Getter
@Setter
@ToString
@Builder
@AllArgsConstructor(access = AccessLevel.PROTECTED)
public class MessageResponse {
    @ApiModelProperty(value = "결과 코드")
    private String code;

    @ApiModelProperty(value = "결과 메시지")
    private String wishListMgntNo;

    public static MessageResponse toDTO(String mcode, String mtext) {
        return MessageResponse.builder()
        .code(mcode)
        .wishListMgntNo(mtext)
        .build();
    }
}
